libstdc++: std::tr1 Namespace Reference

libstdc++

std::tr1 Namespace Reference

## Namespaces
namespace | __detail

## Functions
template<typename _Tp>
std::complex< _Tp > | acos (const std::complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | acosh (const std::complex< _Tp > &)
template<typename _Tp>
_Tp | arg (const complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | asin (const std::complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | asinh (const std::complex< _Tp > &)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | assoc_laguerre (unsigned int __n, unsigned int __m, _Tp __x)
float | assoc_laguerref (unsigned int __n, unsigned int __m, float __x)
long double | assoc_laguerrel (unsigned int __n, unsigned int __m, long double __x)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | assoc_legendre (unsigned int __l, unsigned int __m, _Tp __x)
float | assoc_legendref (unsigned int __l, unsigned int __m, float __x)
long double | assoc_legendrel (unsigned int __l, unsigned int __m, long double __x)
template<typename _Tp>
std::complex< _Tp > | atan (const std::complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | atanh (const std::complex< _Tp > &)
template<typename _Tpx, typename _Tpy>
__gnu_cxx::__promote_2< _Tpx, _Tpy >::__type | beta (_Tpx __x, _Tpy __y)
float | betaf (float __x, float __y)
long double | betal (long double __x, long double __y)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | comp_ellint_1 (_Tp __k)
float | comp_ellint_1f (float __k)
long double | comp_ellint_1l (long double __k)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | comp_ellint_2 (_Tp __k)
float | comp_ellint_2f (float __k)
long double | comp_ellint_2l (long double __k)
template<typename _Tp, typename _Tpn>
__gnu_cxx::__promote_2< _Tp, _Tpn >::__type | comp_ellint_3 (_Tp __k, _Tpn __nu)
float | comp_ellint_3f (float __k, float __nu)
long double | comp_ellint_3l (long double __k, long double __nu)
template<typename _Tpa, typename _Tpc, typename _Tp>
__gnu_cxx::__promote_3< _Tpa, _Tpc, _Tp >::__type | conf_hyperg (_Tpa __a, _Tpc __c, _Tp __x)
float | conf_hypergf (float __a, float __c, float __x)
long double | conf_hypergl (long double __a, long double __c, long double __x)
template<typename _Tp>
std::complex< typename __gnu_cxx::__promote< _Tp >::__type > | conj (_Tp __x)
template<typename _Tp>
std::complex< _Tp > | conj (const std::complex< _Tp > &__z)
template<typename _Tpnu, typename _Tp>
__gnu_cxx::__promote_2< _Tpnu, _Tp >::__type | cyl_bessel_i (_Tpnu __nu, _Tp __x)
float | cyl_bessel_if (float __nu, float __x)
long double | cyl_bessel_il (long double __nu, long double __x)
template<typename _Tpnu, typename _Tp>
__gnu_cxx::__promote_2< _Tpnu, _Tp >::__type | cyl_bessel_j (_Tpnu __nu, _Tp __x)
float | cyl_bessel_jf (float __nu, float __x)
long double | cyl_bessel_jl (long double __nu, long double __x)
template<typename _Tpnu, typename _Tp>
__gnu_cxx::__promote_2< _Tpnu, _Tp >::__type | cyl_bessel_k (_Tpnu __nu, _Tp __x)
float | cyl_bessel_kf (float __nu, float __x)
long double | cyl_bessel_kl (long double __nu, long double __x)
template<typename _Tpnu, typename _Tp>
__gnu_cxx::__promote_2< _Tpnu, _Tp >::__type | cyl_neumann (_Tpnu __nu, _Tp __x)
float | cyl_neumannf (float __nu, float __x)
long double | cyl_neumannl (long double __nu, long double __x)
template<typename _Tp, typename _Tpp>
__gnu_cxx::__promote_2< _Tp, _Tpp >::__type | ellint_1 (_Tp __k, _Tpp __phi)
float | ellint_1f (float __k, float __phi)
long double | ellint_1l (long double __k, long double __phi)
template<typename _Tp, typename _Tpp>
__gnu_cxx::__promote_2< _Tp, _Tpp >::__type | ellint_2 (_Tp __k, _Tpp __phi)
float | ellint_2f (float __k, float __phi)
long double | ellint_2l (long double __k, long double __phi)
template<typename _Tp, typename _Tpn, typename _Tpp>
__gnu_cxx::__promote_3< _Tp, _Tpn, _Tpp >::__type | ellint_3 (_Tp __k, _Tpn __nu, _Tpp __phi)
float | ellint_3f (float __k, float __nu, float __phi)
long double | ellint_3l (long double __k, long double __nu, long double __phi)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | expint (_Tp __x)
float | expintf (float __x)
long double | expintl (long double __x)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | fabs (_Tp __x)
template<typename _Tp>
std::complex< _Tp > | fabs (const std::complex< _Tp > &__z)
float | fabs (float __x)
long double | fabs (long double __x)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | hermite (unsigned int __n, _Tp __x)
float | hermitef (unsigned int __n, float __x)
long double | hermitel (unsigned int __n, long double __x)
template<typename _Tpa, typename _Tpb, typename _Tpc, typename _Tp>
__gnu_cxx::__promote_4< _Tpa, _Tpb, _Tpc, _Tp >::__type | hyperg (_Tpa __a, _Tpb __b, _Tpc __c, _Tp __x)
float | hypergf (float __a, float __b, float __c, float __x)
long double | hypergl (long double __a, long double __b, long double __c, long double __x)
template<typename _Tp>
constexpr _Tp | imag (const complex< _Tp > &__z)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | laguerre (unsigned int __n, _Tp __x)
float | laguerref (unsigned int __n, float __x)
long double | laguerrel (unsigned int __n, long double __x)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | legendre (unsigned int __n, _Tp __x)
float | legendref (unsigned int __n, float __x)
long double | legendrel (unsigned int __n, long double __x)
template<typename _Tp>
_Tp constexpr | norm (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | polar (const _Tp &, const _Tp &=_Tp(0))
template<typename _Tp, typename _Up>
std::complex< typename __gnu_cxx::__promote_2< _Tp, _Up >::__type > | polar (const _Tp &__rho, const _Up &__theta)
template<typename _Tp, typename _Up>
__gnu_cxx::__promote_2< _Tp, _Up >::__type | pow (_Tp __x, _Up __y)
template<typename _Tp>
std::complex< _Tp > | pow (const _Tp &__x, const std::complex< _Tp > &__y)
template<typename _Tp, typename _Up>
std::complex< typename __gnu_cxx::__promote_2< _Tp, _Up >::__type > | pow (const _Tp &__x, const std::complex< _Up > &__y)
template<typename _Tp>
std::complex< _Tp > | pow (const std::complex< _Tp > &__x, const _Tp &__y)
template<typename _Tp, typename _Up>
std::complex< typename __gnu_cxx::__promote_2< _Tp, _Up >::__type > | pow (const std::complex< _Tp > &__x, const _Up &__y)
template<typename _Tp>
std::complex< _Tp > | pow (const std::complex< _Tp > &__x, const std::complex< _Tp > &__y)
template<typename _Tp, typename _Up>
std::complex< typename __gnu_cxx::__promote_2< _Tp, _Up >::__type > | pow (const std::complex< _Tp > &__x, const std::complex< _Up > &__y)
float | pow (float __x, float __y)
long double | pow (long double __x, long double __y)
template<typename _Tp>
constexpr _Tp | real (const complex< _Tp > &__z)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | riemann_zeta (_Tp __x)
float | riemann_zetaf (float __x)
long double | riemann_zetal (long double __x)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | sph_bessel (unsigned int __n, _Tp __x)
float | sph_besself (unsigned int __n, float __x)
long double | sph_bessell (unsigned int __n, long double __x)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | sph_legendre (unsigned int __l, unsigned int __m, _Tp __theta)
float | sph_legendref (unsigned int __l, unsigned int __m, float __theta)
long double | sph_legendrel (unsigned int __l, unsigned int __m, long double __theta)
template<typename _Tp>
__gnu_cxx::__promote< _Tp >::__type | sph_neumann (unsigned int __n, _Tp __x)
float | sph_neumannf (unsigned int __n, float __x)
long double | sph_neumannl (unsigned int __n, long double __x)

## Detailed Description

ISO C++ TR1 entities toplevel namespace is std::tr1.

## Function Documentation

## ◆ acos()

template<typename _Tp>

std::complex< _Tp > std::acos | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2308 of file complex.

## ◆ acosh()

template<typename _Tp>

std::complex< _Tp > std::acosh | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2424 of file complex.

## ◆ arg()

template<typename _Tp>

_Tp std::arg | ( | const complex< _Tp > & | __z | ) |
| inline

Return phase angle of z.

Definition at line 995 of file complex.

## ◆ asin()

template<typename _Tp>

std::complex< _Tp > std::asin | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2344 of file complex.

## ◆ asinh()

template<typename _Tp>

std::complex< _Tp > std::asinh | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2463 of file complex.

## ◆ atan()

template<typename _Tp>

std::complex< _Tp > std::atan | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2388 of file complex.

## ◆ atanh()

template<typename _Tp>

std::complex< _Tp > std::atanh | ( | const std::complex< _Tp > & | __z | ) |
| inline

Definition at line 2507 of file complex.

## ◆ conf_hyperg()

template<typename _Tpa, typename _Tpc, typename _Tp>

__gnu_cxx::__promote_3< _Tpa, _Tpc, _Tp >::__type __gnu_cxx::conf_hyperg | ( | _Tpa | __a,
|  | _Tpc | __c,
|  | _Tp | __x )
| inline

Return the confluent hypergeometric function of real numeratorial parameter `a`, denominatorial parameter `c`, and argument `x`.

The confluent hypergeometric function is defined by

where the Pochhammer symbol is ,

Parameters

  __a | The numeratorial parameter
  __c | The denominatorial parameter
  __x | The argument

Definition at line 1326 of file specfun.h.

## ◆ conf_hypergf()

float __gnu_cxx::conf_hypergf | ( | float | __a,
|  | float | __c,
|  | float | __x )
| inline

Return the confluent hypergeometric function of `float` numeratorial parameter `a`, denominatorial parameter `c`, and argument `x`.

See also
  conf_hyperg for details.

Definition at line 1294 of file specfun.h.

## ◆ conf_hypergl()

long double __gnu_cxx::conf_hypergl | ( | long double | __a,
|  | long double | __c,
|  | long double | __x )
| inline

Return the confluent hypergeometric function of long double numeratorial parameter `a`, denominatorial parameter `c`, and argument `x`.

See also
  conf_hyperg for details.

Definition at line 1305 of file specfun.h.

## ◆ fabs() [1/3]

template<typename _Tp>

__gnu_cxx::__promote< _Tp >::__type std::tr1::fabs | ( | _Tp | __x | ) |
| inline

Definition at line 1128 of file tr1/cmath.

## ◆ fabs() [2/3]

float std::tr1::fabs | ( | float | __x | ) |
| inline

Definition at line 1117 of file tr1/cmath.

## ◆ fabs() [3/3]

long double std::tr1::fabs | ( | long double | __x | ) |
| inline

Definition at line 1121 of file tr1/cmath.

## ◆ hyperg()

template<typename _Tpa, typename _Tpb, typename _Tpc, typename _Tp>

__gnu_cxx::__promote_4< _Tpa, _Tpb, _Tpc, _Tp >::__type __gnu_cxx::hyperg | ( | _Tpa | __a,
|  | _Tpb | __b,
|  | _Tpc | __c,
|  | _Tp | __x )
| inline

Return the hypergeometric function of real numeratorial parameters `a` and `b`, denominatorial parameter `c`, and argument `x`.

The hypergeometric function is defined by

where the Pochhammer symbol is ,

Parameters

  __a | The first numeratorial parameter
  __b | The second numeratorial parameter
  __c | The denominatorial parameter
  __x | The argument

Definition at line 1375 of file specfun.h.

## ◆ hypergf()

float __gnu_cxx::hypergf | ( | float | __a,
|  | float | __b,
|  | float | __c,
|  | float | __x )
| inline

Return the hypergeometric function of @ float numeratorial parameters `a` and `b`, denominatorial parameter `c`, and argument `x`.

See also
  hyperg for details.

Definition at line 1342 of file specfun.h.

## ◆ hypergl()

long double __gnu_cxx::hypergl | ( | long double | __a,
|  | long double | __b,
|  | long double | __c,
|  | long double | __x )
| inline

Return the hypergeometric function of long double numeratorial parameters `a` and `b`, denominatorial parameter `c`, and argument `x`.

See also
  hyperg for details.

Definition at line 1353 of file specfun.h.

## ◆ imag()

template<typename _Tp>

_Tp std::imag | ( | const complex< _Tp > & | __z | ) |
| constexpr

Definition at line 616 of file complex.

## ◆ norm()

template<typename _Tp>

_Tp constexpr std::norm | ( | const complex< _Tp > & |  | ) |
| constexpr

Return z magnitude squared.

## ◆ polar()

template<typename _Tp>

complex< _Tp > std::polar | ( | const _Tp & | __rho,
|  | const _Tp & | __theta = _Tp(0) )
| inline

Return complex with magnitude rho and angle theta.

Definition at line 1039 of file complex.

## ◆ pow() [1/3]

template<typename _Tp, typename _Up>

__gnu_cxx::__promote_2< _Tp, _Up >::__type std::tr1::pow | ( | _Tp | __x,
|  | _Up | __y )
| inline

Definition at line 1099 of file tr1/cmath.

## ◆ pow() [2/3]

float std::tr1::pow | ( | float | __x,
|  | float | __y )
| inline

Definition at line 1089 of file tr1/cmath.

## ◆ pow() [3/3]

long double std::tr1::pow | ( | long double | __x,
|  | long double | __y )
| inline

Definition at line 1093 of file tr1/cmath.

## ◆ real()

template<typename _Tp>

_Tp std::real | ( | const complex< _Tp > & | __z | ) |
| constexpr

Definition at line 611 of file complex.